Skip to main content
POST
/
v1
/
chicklets
Create a chicklet
curl --request POST \
  --url https://api.chicklet.io/v1/chicklets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "tier": "small"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "tier": "<string>",
  "state": "<string>",
  "phase": "<string>",
  "pod_ip": "<string>",
  "ssh_port": 123,
  "node_ports": {},
  "user_id": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (e.g. "Bearer your-api-key")

Body

application/json
name
string
required

Unique name for the chicklet

tier
string
default:small

Tier (small, medium, large). Defaults to small.

Response

Created

id
string

Unique chicklet ID

name
string

Chicklet name

tier
string

Tier (small, medium, large)

state
string

Current state (running, stopped)

phase
string

Pod phase

pod_ip
string

Internal pod IP

ssh_port
integer

SSH port number

node_ports
object

Map of exposed container ports to node ports

user_id
integer
created_at
string<date-time>